QXmppDataForm Class Reference

The QXmppDataForm class represents a data form as defined by XEP-0004: Data Forms. More...

`#include <QXmppDataForm.h>`

## Classes

class | Field
| The QXmppDataForm::Field class represents a data form field as defined by XEP-0004: Data Forms. More...
class | Media
| The QXmppDataForm::Media class represents a media field as defined by XEP-0221: Data Forms Media Element. More...

## Public Types

enum | Type { None, Form, Submit, Cancel, Result }
| This enum is used to describe a form's type. More...

## Public Member Functions

| QXmppDataForm (QXmppDataForm::Type type=QXmppDataForm::None)
| Constructs a QXmppDataForm of the specified type.
| QXmppDataForm (const QXmppDataForm &other)
| Constructs a copy of other.
| ~QXmppDataForm ()
| Destroys the form.
QXmppDataForm & | operator= (const QXmppDataForm &other)
| Assigns other to this form.
QString | instructions () const
| Returns the form's instructions.
void | setInstructions (const QString &instructions)
QList< Field > | fields () const
| Returns the form's fields.
QList< Field > & | fields ()
| Returns the form's fields by reference.
void | setFields (const QList< QXmppDataForm::Field > &fields)
QString | title () const
| Returns the form's title.
void | setTitle (const QString &title)
QXmppDataForm::Type | type () const
| Returns the form's type.
void | setType (QXmppDataForm::Type type)
bool | isNull () const
| Returns true if the form has an unknown type.

## Detailed Description

The QXmppDataForm class represents a data form as defined by XEP-0004: Data Forms.

## Member Enumeration Documentation

enum QXmppDataForm::Type

This enum is used to describe a form's type.

Enumerator
None | Unknown form type.
Form | The form-processing entity is asking the form-submitting entity to complete a form.
Submit | The form-submitting entity is submitting data to the form-processing entity.
Cancel | The form-submitting entity has cancelled submission of data to the form-processing entity.
Result | The form-processing entity is returning data (e.g., search results) to the form-submitting entity, or the data is a generic data set.

## Member Function Documentation

void QXmppDataForm::setFields | ( | const QList< QXmppDataForm::Field > & | fields | ) |

Sets the form's fields.

Parameters

  fields |

void QXmppDataForm::setInstructions | ( | const QString & | instructions | ) |

Sets the form's instructions.

Parameters

  instructions |

void QXmppDataForm::setTitle | ( | const QString & | title | ) |

Sets the form's title.

Parameters

  title |

void QXmppDataForm::setType | ( | QXmppDataForm::Type | type | ) |

Sets the form's type.

Parameters

  type |

The documentation for this class was generated from the following files:

- QXmppDataForm.h
- QXmppDataForm.cpp